ข้ามไปยังเนื้อหา

LLaVA v1.6 34B

ผสานการทำงาน

ID โมเดล llava-next
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/llava-next?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.009 9 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Open model การมองเห็น #multimodal#vision

โมเดลวิชัน-ภาษาแบบหลายรูปแบบที่ตอบพรอมต์ข้อความเกี่ยวกับรูปภาพเดียว

Open model · ข้อความ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

พรอมต์ที่ใช้กับรูปภาพ

•จำเป็น image_url
วางไฟล์ หรือ

URL ที่ชี้ไปยังรูปภาพสำหรับการประมวลผล

ขั้นสูง max_tokens · temperature · top_p
ค่าเริ่มต้น 64

ขีดจำกัดสูงสุดของโทเค็นที่สร้าง

ค่าเริ่มต้น 0.2

การตั้งค่าอุณหภูมิการสุ่มตัวอย่าง

ค่าเริ่มต้น 1

การตั้งค่า top-P ของการสุ่มตัวอย่าง

POST /run/llava-next?wait=20 ใบเสนอราคา → $0.009
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/llava-next?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ LLaVA v1.6 34B

ตอบคำถามเกี่ยวกับภาพหรือบรรยายภาพ โดยต้องใช้ `image_url` และ `prompt` และส่งคืนข้อความที่สร้างขึ้น `max_tokens` มีค่าเริ่มต้นเป็น 64 ดังนั้นให้เพิ่มค่านี้สำหรับคำตอบที่ยาวขึ้น ปรับการสุ่มได้ด้วย `temperature` (0 ถึง 1, ค่าเริ่มต้น 0.2) และ `top_p` (0 ถึง 1)

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
image_urlจำเป็น image
ประเภทurl · image
URL ที่ชี้ไปยังรูปภาพสำหรับการประมวลผล
promptจำเป็น
ประเภทstring
พรอมต์ที่ใช้กับรูปภาพ
max_tokensไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น64
ขีดจำกัดสูงสุดของโทเค็นที่สร้าง
temperatureไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น0.2
≤ 1> 0
การตั้งค่าอุณหภูมิการสุ่มตัวอย่าง
top_pไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น1
0 – 1
การตั้งค่า top-P ของการสุ่มตัวอย่าง
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "llava-next",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 9,
    "usd": "0.009",
    "charged": 9,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "Leonardo da Vinci",
    "partial": false
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
output
stringผลลัพธ์ที่โมเดลสร้างขึ้น
partial
booleanระบุว่าเอาต์พุตไม่สมบูรณ์หรือไม่

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/llava-next.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt